Get All User Data
curl --request POST \
--url https://api.velt.dev/v2/users/data/get \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"userId": "<string>",
"pageToken": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/users/data/get"
payload = { "data": {
"organizationId": "<string>",
"userId": "<string>",
"pageToken": "<string>"
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {organizationId: '<string>', userId: '<string>', pageToken: '<string>'}})
};
fetch('https://api.velt.dev/v2/users/data/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Data fetched successfully.",
"data": {
"comments": [..], //Upto 100 items. Empty array if no items are found.
"reactions": [..], //Upto 100 items. Empty array if no items are found.
"recordings": [..], //Upto 100 items. Empty array if no items are found.
"notifications": [..] //Upto 100 items. Empty array if no items are found.
},
"nextPageToken": "bhdwdqwjs298e39e479ddkeuw==329" //This will be null if there are no more items to fetch.
}
}
GDPR
Get all user data (v2)
Export all feature data stored in Velt for a single user using the v2 REST API to support GDPR data-access, portability, and subject-access requests.
POST
/
v2
/
users
/
data
/
get
Get All User Data
Use this API to get all feature data for a user stored in Velt.
- The data will be paginated and returned in chunks of 100 items per feature data.
- You can use the
nextPageTokenreturned in the response to fetch the next chunk of data. - If there are no more items to fetch, the
nextPageTokenwill not be returned. - Here is the data that will be included:
- User profile data: If they were added to any organization, document or folder.
- Comments data: All the comments created by the user or where they were involved in.
- Reactions data: All the reactions created by the user.
- Notifications data: All the notifications where the user was involved in.
- Recordings data: All the recordings created by the user.
This API may take a few seconds to return a response depending on the dataset size.
Endpoint
POST https://api.velt.dev/v2/users/data/get
Headers
Your API key.
Your Auth Token.
Body
Params
Example Request
{
"data": {
"organizationId": "yourOrganizationId",
"userId": "yourUserId",
"pageToken": "yourPageToken"
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Data fetched successfully.",
"data": {
"comments": [..], //Upto 100 items. Empty array if no items are found.
"reactions": [..], //Upto 100 items. Empty array if no items are found.
"recordings": [..], //Upto 100 items. Empty array if no items are found.
"notifications": [..] //Upto 100 items. Empty array if no items are found.
},
"nextPageToken": "bhdwdqwjs298e39e479ddkeuw==329" // This will be null if there are no more items to fetch.
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT",
"code": 500
}
}
{
"result": {
"status": "success",
"message": "Data fetched successfully.",
"data": {
"comments": [..], //Upto 100 items. Empty array if no items are found.
"reactions": [..], //Upto 100 items. Empty array if no items are found.
"recordings": [..], //Upto 100 items. Empty array if no items are found.
"notifications": [..] //Upto 100 items. Empty array if no items are found.
},
"nextPageToken": "bhdwdqwjs298e39e479ddkeuw==329" //This will be null if there are no more items to fetch.
}
}
Was this page helpful?
⌘I

